Api referenceRepositories

Get Repository Architecture Changes

Reference for Get Repository Architecture Changes in the Hyperoru v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/repositories/{repository_id}/changes

Get Repository Architecture Changes. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
repository_id*Repository Id
Formatuuid

Query Parameters

current_snapshot_id?|null
previous_snapshot_id?|null

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/repositories/497f6eca-6276-4993-bfeb-53cbbbba6f08/changes"
{
  "changes": [
    {
      "change_fields": [
        "string"
      ],
      "change_type": "entity_added",
      "consequence": "informational",
      "evidence_ids": [
        "string"
      ],
      "key": "string",
      "kind": "string",
      "label": "string",
      "owner_hint": "string",
      "source_key": "string",
      "target_key": "string"
    }
  ],
  "coverage_comparable": true,
  "current_audit_id": "0eaf3927-4a4f-4777-b9b0-27190077c520",
  "current_generated_at": "2019-08-24T14:15:22Z",
  "current_snapshot_id": "48cf9354-130b-41e5-8cf1-2903f720121a",
  "current_source_coverage": "string",
  "current_sources": [
    "string"
  ],
  "gate": {
    "outcome": "pass",
    "policy_enabled": true,
    "reasons": [
      "string"
    ]
  },
  "previous_audit_id": "08e0abe4-30c7-48dd-a48b-be6462726c06",
  "previous_generated_at": "2019-08-24T14:15:22Z",
  "previous_snapshot_id": "9c084780-5ee8-4726-80bb-2bc9a0edbffe",
  "previous_sources": [
    "string"
  ],
  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}